OpenVDB: LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOnIterator Class Reference

OpenVDB 12.0.0 |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOnIterator Class Reference

Visits all active values in a leaf node. More...

`#include <nanovdb/NanoVDB.h>`

Inheritance diagram for LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOnIterator:

## Public Member Functions
__hostdev__ | ValueOnIterator ()
__hostdev__ | ValueOnIterator (const LeafNode *parent)
ValueOnIterator & | operator= (const ValueOnIterator &)=default
__hostdev__ ValueType | operator* () const
__hostdev__ CoordT | getCoord () const

## Detailed Description

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>
class nanovdb::LeafNode< BuildT, CoordT, MaskT, Log2Dim >::ValueOnIterator

Visits all active values in a leaf node.

## Constructor & Destructor Documentation

## ◆ ValueOnIterator() [1/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueOnIterator | ( |  | ) |
| inline

## ◆ ValueOnIterator() [2/2]

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueOnIterator | ( | const LeafNode * | parent | ) |
| inline

## Member Function Documentation

## ◆ getCoord()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ CoordT getCoord | ( |  | ) | const
| inline

## ◆ operator*()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

__hostdev__ ValueType operator* | ( |  | ) | const
| inline

## ◆ operator=()

template<typename BuildT, typename CoordT = Coord, template< uint32_t > class MaskT = Mask, uint32_t Log2Dim = 3>

ValueOnIterator & operator= | ( | const ValueOnIterator & |  | ) |
| default